- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# bigip_asm_policy_server_technology – Manages Server Technology on ASM policy

New in version 2.8.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manages Server Technology on ASM policy.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name string / required | Choices: jQuery Java Servlets/JSP ASP WebDAV IIS Front Page Server Extensions (FPSE) ASP.NET Microsoft Windows Unix/Linux Macromedia ColdFusion WordPress Apache Tomcat Apache/NCSA HTTP Server Outlook Web Access PHP Microsoft SQL Server Oracle MySQL Lotus Domino BEA Systems WebLogic Server Macromedia JRun Novell Cisco SSI (Server Side Includes) Proxy Servers CGI Sybase/ASE IBM DB2 PostgreSQL XML Apache Struts Elasticsearch JBoss Citrix Node.js Django MongoDB Ruby JavaServer Faces (JSF) Joomla Jetty | Specifies the name of the server technology to apply on or remove from the ASM policy.
partition string | Default: "Common" | This parameter is only used when identifying ASM policy.
policy_name string / required |  | Specifies the name of an existing ASM policy to add or remove server technology.
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| transport string | Choices: cli rest ← | Configures the transport connection to use when connecting to the remote device.
| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.
| validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates. You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.
state string | Choices: present ← absent | When `present`, ensures that the resource exists. When `absent`, ensures the resource is removed.

## Notes

Note

- This module is primarily used as a component of configuring ASM policy in Ansible Galaxy ASM Policy Role.
- Requires BIG-IP >= 13.0.0
- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.
- Requires BIG-IP software version >= 12.
- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Add Server Technology to ASM Policy
      bigip_asm_policy_server_technology:
        name: Joomla
        policy_name: FooPolicy
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost
    - name: Remove Server Technology from ASM Policy
      bigip_asm_policy_server_technology:
        name: Joomla
        policy_name: FooPolicy
        state: absent
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
name string | changed | The name of Server Technology added/removed on ASM policy Sample: Joomla
policy_name string | changed | The name of the ASM policy Sample: FooPolicy

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- Wojciech Wypior (@wojtek0806)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.